# Swoole\Connection\Iterator::valid

(PHP 5 >= 5.2.0, PHP 7, PECL swoole >= 1.9.0)

Swoole\Connection\Iterator::valid — Check if current position is valid.

### Description

public Swoole\Connection\Iterator::valid ( void ) : boolean

Checks if the current position is valid.

### Parameters

This function has no parameters.

### Return Values

Returns TRUE if the current iterator position is valid, otherwise FALSE.